> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get generic inventory

> Get generic inventory



## OpenAPI

````yaml oms_v1 get /api-inventory/inventory/generic/{inventoryId}
openapi: 3.0.0
info:
  description: Order Management System
  version: 1.0.0
  title: Orders v1 (OMS v1)
  contact:
    email: oms-team@fabric.inc
  license:
    name: fabric API license
    url: https://fabric.inc/api-license
servers:
  - url: https://prod01-apigw.{customer_name}.fabric.zone
    description: Production
    variables:
      customer_name:
        default: yourcompany
        description: Customer name, provided by support team
security: []
tags:
  - name: Cart
    description: >-
      Cart APIs<br /><br />**Note:** These are the legacy Cart APIs. To view
      fabric's new Cart APIs, navigate to *Cart API > Cart* from the left side
      navigation pane.
  - name: Bill To
    description: Bill To APIs [Deprecated]
  - name: Ship To
    description: >-
      Ship To APIs<br /><br />**Note:** These are the legacy Ship To APIs. To
      view fabric's new Shipping APIs, navigate to *Cart API > Shipping* from
      the left side navigation pane.
  - name: Wishlist
    description: Wishlist APIs
  - name: Cart Decoupled
    description: Cart Decoupled APIs
  - name: Warehouse
    description: Warehouse APIs
  - name: Inventory
    description: Inventory APIs
  - name: Attributes
    description: >-
      Attributes APIs<br /><br />**Note:** These are the legacy Attribute APIs.
      To view fabric's new Attribute APIs, navigate to *Cart API > Attribute*
      from the left side navigation pane.
  - name: List
    description: List APIs
  - name: Tax/Address Validate
    description: Tax/Address Validate APIs
  - name: Shipping
    description: Shipping APIs
  - name: Payments
    description: Payments APIs
  - name: Order
    description: Order APIs
paths:
  /api-inventory/inventory/generic/{inventoryId}:
    get:
      tags:
        - Inventory
      summary: Get generic inventory
      description: Get generic inventory
      operationId: genericInventory
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
        - in: path
          name: inventoryId
          required: true
          schema:
            type: string
            example: '100003'
        - in: query
          name: Get generic inventory query parameters
          schema:
            type: object
            properties:
              query:
                type: string
                enum:
                  - itemId
                  - sku
                default: itemId
      responses:
        '200':
          description: Get inventories
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      itemId:
                        type: number
                        example: 1000000033
                      inlocations:
                        type: array
                        items:
                          type: object
                          allOf:
                            - type: object
                              properties:
                                location:
                                  type: object
                                  properties:
                                    channel:
                                      type: array
                                      items:
                                        type: number
                                        example: 12
                                    isActive:
                                      type: boolean
                                      example: true
                                    isDefault:
                                      type: boolean
                                      example: false
                                    name:
                                      type: string
                                      example: ABC MANHATTEN STORE
                                    address:
                                      type: object
                                      properties:
                                        street1:
                                          type: string
                                          example: 888 Broadway
                                        street2:
                                          type: string
                                        zipCode:
                                          type: string
                                          example: '10003'
                                        city:
                                          type: string
                                          example: New York
                                        state:
                                          type: string
                                          example: NY
                                        country:
                                          type: string
                                          example: USA
                                        phone:
                                          type: array
                                    pickup:
                                      type: boolean
                                      example: false
                                    type:
                                      type: string
                                      example: 60a5844452e07600089d2cb7
                                    kind:
                                      type: string
                                      example: Warehouse
                                    locationId:
                                      type: number
                                      example: 102
                                    __v:
                                      type: number
                                      example: 0
                                    coordinates:
                                      type: object
                                      properties:
                                        latitude:
                                          type: number
                                          example: 40.738417
                                        longitude:
                                          type: number
                                          example: -73.98985
                            - type: object
                              properties:
                                _id:
                                  type: string
                                  example: 60f5c3666a04ef0008b702f4
                                inStock:
                                  type: number
                                  example: 1000
                                channel:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      quantityReserved:
                                        type: number
                                        example: 0
                                      _id:
                                        type: string
                                        example: 60f5c3666a04ef0008b702f5
                                      channelId:
                                        type: number
                                        example: 12
                                      allocation:
                                        type: object
                                        properties:
                                          mou:
                                            type: string
                                            example: ABSOLUTE
                                          unit:
                                            type: number
                                            example: 1000
                                      id:
                                        type: string
                                        example: 60f5c3666a04ef0008b702f5
                                inTransit:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      _id:
                                        type: string
                                        example: 60f5c3666a04ef0008b702f6
                                      inTransitRef:
                                        type: string
                                        example: WO-20000
                                      orderQuantity:
                                        type: number
                                        example: 10000
                                      quantityReserved:
                                        type: number
                                        example: 0
                                      orderDate:
                                        type: string
                                        example: '2020-05-05T00:00:00.000Z'
                                      stockDate:
                                        type: string
                                        example: '2020-05-05T00:00:00.000Z'
                                      id:
                                        type: string
                                        example: 60f5c3666a04ef0008b702f6
                                id:
                                  type: string
                                  example: 60f5c3666a04ef0008b702f4
                            - type: object
                              properties:
                                _id:
                                  type: string
                                  example: 5fee9d59f2f08a1b3cbdea08
                                createdAt:
                                  type: string
                                  example: '2020-12-31T02:09:53.914Z'
                                updatedAt:
                                  type: string
                                  example: '2020-12-31T02:09:53.914Z'
                      sku:
                        type: string
                        example: SHIRT001
                      title:
                        type: string
                        example: Shirt
                  - $ref: '#/components/schemas/timeStamp'
        '400':
          description: Get inventory failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    description: The error code
                    example: GET_INVENTORY_FAILED
                    type: string
                  message:
                    description: The error message
                    example: Unable to find Inventory
        '404':
          description: Get inventory failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    description: The error code
                    example: GET_INVENTORY_FAILED
                    type: string
                  message:
                    description: The error message
                    example: Unable to find Inventory
        '500':
          $ref: '#/components/responses/GenericServerError'
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  schemas:
    timeStamp:
      type: object
      properties:
        _id:
          type: string
          example: 5fee9d59f2f08a1b3cbdea08
        createdAt:
          type: string
          example: '2020-12-31T02:09:53.914Z'
        updatedAt:
          type: string
          example: '2020-12-31T02:09:53.914Z'
  responses:
    GenericServerError:
      description: A generic server error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string

````